Method: iceberg.v1beta.restcatalog.v1.projects.catalogs.namespaces.tables.metrics

Reports a metrics report for a table.

HTTP request

POST https://biglake.googleapis.com/iceberg/v1beta/restcatalog/v1/{name=projects/*/catalogs/*/namespaces/*/tables/*}/metrics

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Table to report metrics for in the format: projects/{projectId}/namespaces/{namespace}/tables/{table}.

Request body

The request body contains data with the following structure:

JSON representation
{
  "httpBody": {
    object (HttpBody)
  }
}
Fields
httpBody

object (HttpBody)

Required.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/bigquery
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.